Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class ToolbarTextItem

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.BaseExtWidget
                  com.gwtext.client.widgets.ToolbarItem
                      com.gwtext.client.widgets.ToolbarTextItem

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

    public class ToolbarTextItem

extends ToolbarItem

A simple class that renders text directly into a toolbar.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.BaseExtWidget
`jsObj`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`ToolbarTextItem(java.lang.String text)` Create a new ToolbarTextItem

Method Summary
`java.lang.String` | `getText()` Return the text.
`void` | `setText(java.lang.String text)` Sets the toolbar item text

Methods inherited from class com.gwtext.client.widgets.ToolbarItem
`destroy, disable, enable, focus, getElement, hide, hideRendered, isRendered, setVisible, show`

Methods inherited from class com.gwtext.client.widgets.BaseExtWidget
`equals, getEl, getElement, getJsObj, getOffsetHeight, getOffsetWidth, getTitle, hashCode, isVisible, onAttach, onLoad, purgeListeners, setHeight, setJsObj, setTitle, setWidth, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onBrowserEvent, onDetach, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolbarTextItem

    public ToolbarTextItem(java.lang.String text)

  Create a new ToolbarTextItem

  Parameters:
    `text` - the text

Method Detail

### getText

    public java.lang.String getText()

  Return the text.

  Returns:
    the text

### setText

    public void setText(java.lang.String text)

  Sets the toolbar item text

  Parameters:
    `text` - the text to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD